version: "3.8"
services:
  web:
    environment:
      SPUR_API_KEY: SECRET
    # If using rootless Podman or Docker on Linux, you may need to explicitly map your local UID/GID
    # to the container to avoid volume permission issues.
    user: "${UID}:${GID}"
    # Allow relabeling volume contents if SELinux is enabled.
    volumes:
      - ./:/srv/service:Z